@ECHO OFF
REM *** VIRUS SCANNER HANDLER - DO NOT DELETE ***
REM ---------------------------------------------
IF "%1"=="" GOTO ENDE
IF "%3"=="" GOTO ENDE
IF EXIST BOOMSCAN.RES DEL BOOMSCAN.RES >NUL
IF %2 == 1 GOTO OLDSCAN
IF %2 == 2 GOTO NEWSCAN
IF %2 == 3 GOTO TBSCAN
IF %2 == 4 GOTO DRSOLOMON
GOTO NOSCANNER

REM *** MCAFEE VIRUS SCAN (SCAN)*****************************************
:OLDSCAN
%1 /A /NOMEM /NOBREAK /NOPAUSE /NOEXPIRE /REPORT BOOMSCAN.LOG %3\*.*
IF ERRORLEVEL 4 GOTO CTRLBREAK
IF ERRORLEVEL 3 GOTO UNCERTIFIED
IF ERRORLEVEL 2 GOTO PROGERROR
IF ERRORLEVEL 1 GOTO VIRUSFOUND
GOTO NOVIRUS

REM *** MCAFEE NEW VIRUS SCAN (SCAN)*************************************
:NEWSCAN
%1 /ALL /NOMEM /NOBREAK /REPORT BOOMSCAN.LOG %3\*.*
IF ERRORLEVEL 18 GOTO UNCERTIFIED
IF ERRORLEVEL 17 GOTO NOFILES
IF ERRORLEVEL 16 GOTO PROGERROR
IF ERRORLEVEL 15 GOTO PROGERROR
IF ERRORLEVEL 14 GOTO PROGERROR
IF ERRORLEVEL 13 GOTO VIRUSFOUND
IF ERRORLEVEL 12 GOTO PROGERROR
IF ERRORLEVEL 11 GOTO PROGERROR
IF ERRORLEVEL 10 GOTO VIRUSFOUND
IF ERRORLEVEL 9 GOTO PROGERROR
IF ERRORLEVEL 8 GOTO PROGERROR
IF ERRORLEVEL 7 GOTO PROGERROR
IF ERRORLEVEL 6 GOTO PROGERROR
IF ERRORLEVEL 5 GOTO NOMEMORY
IF ERRORLEVEL 4 GOTO PROGERROR
IF ERRORLEVEL 3 GOTO PROGERROR
IF ERRORLEVEL 2 GOTO PROGERROR
IF ERRORLEVEL 1 GOTO PROGERROR
GOTO NOVIRUS

REM *** THUNDER-BYTE (TBSCAN.EXE)****************************************
:TBSCAN
%1 AF NM NB BA LO %3\*.* >NUL
IF ERRORLEVEL 255 GOTO PROGERROR
IF ERRORLEVEL 5 GOTO VIRUSFOUND
IF ERRORLEVEL 4 GOTO VIRUSFOUND
IF ERRORLEVEL 3 GOTO NOVIRUS
IF ERRORLEVEL 2 GOTO PROGERROR
IF ERRORLEVEL 1 GOTO NOFILES
GOTO NOVIRUS

REM *** DR SOLOMON'S (FINDVIRU.EXE)**************************************
:DRSOLOMON
%1 /NOBOOT /NOPART /DOALLFILES /REPORT=BOOMSCAN.LOG %3\
IF ERRORLEVEL 255 GOTO CTRLBREAK
IF ERRORLEVEL 3 GOTO PROGERROR
IF ERRORLEVEL 2 GOTO VIRUSFOUND
IF ERRORLEVEL 1 GOTO PROGERROR
GOTO NOVIRUS

:NOSCANNER
ECHO VIRUS SCANNER NOT FOUND >BOOMSCAN.RES
ECHO 3 >>BOOMSCAN.RES
GOTO ENDE

:CTRLBREAK
ECHO SCANNER INTERRUPTED BY USER. >BOOMSCAN.RES
ECHO 3 >>BOOMSCAN.RES
GOTO ENDE

:PROGERROR
ECHO VIRUS PROGRAM ERROR!!! >BOOMSCAN.RES
ECHO 3 >>BOOMSCAN.RES
GOTO ENDE

:UNCERTIFIED
ECHO FAILED CERTIFICATION! >BOOMSCAN.RES
ECHO 2 >>BOOMSCAN.RES
GOTO ENDE

:NOMEMORY
ECHO INSUFFICIENT MEMORY! >BOOMSCAN.RES
ECHO 3 >>BOOMSCAN.RES
GOTO ENDE

:VIRUSFOUND
ECHO VIRUS INFECTED!!! >BOOMSCAN.RES
ECHO 1 >>BOOMSCAN.RES
GOTO ENDE

:NOFILES
ECHO No Files Found >BOOMSCAN.RES
ECHO 0 >>BOOMSCAN.RES
GOTO ENDE

:NOVIRUS
ECHO No Viruses Found >BOOMSCAN.RES
ECHO 0 >>BOOMSCAN.RES
GOTO ENDE

:ENDE
